Loading...
Searching...
No Matches
Ogre::SceneManagerFactory Class Referenceabstract
Core » Scene

Class which will create instances of a given SceneManager. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::SceneManagerFactory:
[legend]

## Public Member Functions

virtual | ~SceneManagerFactory ()
virtual SceneManager * | createInstance (const String &instanceName)=0
| Create a new instance of a SceneManager.
virtual void | destroyInstance (SceneManager *instance)
| Destroy an instance of a SceneManager.
virtual const String & | getTypeName (void) const =0
| Get the SceneManager type created by this factory.

## Detailed Description

Class which will create instances of a given SceneManager.

## Constructor & Destructor Documentation

## ~SceneManagerFactory()

virtual Ogre::SceneManagerFactory::~SceneManagerFactory | ( |  | ) |

inline virtual

## Member Function Documentation

## getTypeName()

virtual const String & Ogre::SceneManagerFactory::getTypeName | ( | void |  | ) | const

pure virtual

Get the SceneManager type created by this factory.

Implemented in Ogre::BspSceneManagerFactory, Ogre::OctreeSceneManagerFactory, and Ogre::PCZSceneManagerFactory.

## createInstance()

virtual SceneManager * Ogre::SceneManagerFactory::createInstance | ( | const String & | instanceName | ) |

pure virtual

Create a new instance of a SceneManager.

Don't call directly, use SceneManagerEnumerator::createSceneManager.

Implemented in Ogre::BspSceneManagerFactory, Ogre::OctreeSceneManagerFactory, and Ogre::PCZSceneManagerFactory.

## destroyInstance()

virtual void Ogre::SceneManagerFactory::destroyInstance | ( | SceneManager * | instance | ) |

inline virtual

Destroy an instance of a SceneManager.

The documentation for this class was generated from the following file:

- OgreSceneManager.h